#include "listen_thread.h"
#include <QTextStream>
listen_thread::listen_thread(QObject * parent)
	:QThread(parent)
{

}
void listen_thread::run()
{
	bool bfinished = false;
	QTextStream st_in(stdin);
	while (!st_in.atEnd())
	{
		QString line = st_in.readLine();
		if (line.indexOf("destin=")>=0)
		{
			emit newCmd(line);
		}
	}
}
